This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 219231 - Fedora Eclipse (Bugzilla plug-in for Eclipse IDE) fails if favicon.ico is not present
Fedora Eclipse (Bugzilla plug-in for Eclipse IDE) fails if favicon.ico is not...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse-bugzilla (Show other bugs)
rawhide
All All
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-11 18:59 EST by Todd Flinders
Modified: 2013-04-02 00:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-11 10:25:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Todd Flinders 2006-12-11 18:59:12 EST
Description of problem:  Fedora Eclipse (the Bugzilla Plugin for Eclipse IDE)
fails if the server does not have a favicon.ico.


Version-Release number of selected component (if applicable):  Fedora Eclipse
0.2.3 (org.eclipse.team.bugzilla.feature 0.2.3)


How reproducible:
Connect to a Bugzilla server that does not host a favicon.ico.


Steps to Reproduce:
1.  Connect to a Bugzilla server that does not host a favicon.ico.
2.
3.
  
Actual results:
"Problems occurred when invoking code from plug-in: "org.eclipse.jface".


Expected results:
Fedora Eclipse should use the favicon.ico provided by the server when one is
provided.  If one is not found, Fedora Eclipse should either continue processing
normally without an icon or use a default icon of its own.


Additional info:
java.lang.IllegalArgumentException: protocol = http host = null
	at sun.net.spi.DefaultProxySelector.select(Unknown Source)
	at sun.net.www.protocol.http.HttpURLConnection.plainConnect(Unknown Source)
	at sun.net.www.protocol.http.HttpURLConnection.connect(Unknown Source)
	at sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown Source)
	at sun.net.www.protocol.http.HttpURLConnection.getHeaderField(Unknown Source)
	at java.net.URLConnection.getHeaderFieldInt(Unknown Source)
	at java.net.URLConnection.getContentLength(Unknown Source)
	at
org.eclipse.team.bugzilla.operations.BugzillaOperations.getBugzillaIconImageDescriptor(BugzillaOperations.java:157)
	at
org.eclipse.team.bugzilla.operations.BugzillaOperations.getBugzillaIcon(BugzillaOperations.java:133)
	at
org.eclipse.team.bugzilla.model.BugzillaProvider.getImageDescriptor(BugzillaProvider.java:307)
	at
org.eclipse.team.bugzilla.adapters.BugzillaProviderAdapter.doGetImageDescriptor(BugzillaProviderAdapter.java:38)
	at
org.eclipse.team.bugzilla.adapters.ModelElementAdapter.getImageDescriptor(ModelElementAdapter.java:126)
	at
org.eclipse.ui.model.WorkbenchLabelProvider.getImage(WorkbenchLabelProvider.java:155)
	at
org.eclipse.jface.viewers.StructuredViewer.buildLabel(StructuredViewer.java:2103)
	at org.eclipse.jface.viewers.TreeViewer.doUpdateItem(TreeViewer.java:258)
	at
org.eclipse.jface.viewers.AbstractTreeViewer$UpdateItemSafeRunnable.run(AbstractTreeViewer.java:95)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:37)
	at org.eclipse.core.runtime.Platform.run(Platform.java:843)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:44)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:149)
	at
org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:849)
	at
org.eclipse.jface.viewers.StructuredViewer$UpdateItemSafeRunnable.run(StructuredViewer.java:465)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:37)
	at org.eclipse.core.runtime.Platform.run(Platform.java:843)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:44)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:149)
	at
org.eclipse.jface.viewers.StructuredViewer.updateItem(StructuredViewer.java:1955)
	at
org.eclipse.jface.viewers.AbstractTreeViewer.createTreeItem(AbstractTreeViewer.java:753)
	at
org.eclipse.jface.viewers.AbstractTreeViewer.updateChildren(AbstractTreeViewer.java:2444)
	at
org.eclipse.jface.viewers.AbstractTreeViewer.internalRefreshStruct(AbstractTreeViewer.java:1651)
	at org.eclipse.jface.viewers.TreeViewer.internalRefreshStruct(TreeViewer.java:955)
	at
org.eclipse.jface.viewers.AbstractTreeViewer.internalRefresh(AbstractTreeViewer.java:1627)
	at
org.eclipse.jface.viewers.AbstractTreeViewer.internalRefresh(AbstractTreeViewer.java:1582)
	at
org.eclipse.jface.viewers.AbstractTreeViewer.internalRefresh(AbstractTreeViewer.java:1568)
	at org.eclipse.jface.viewers.StructuredViewer$7.run(StructuredViewer.java:1388)
	at
org.eclipse.jface.viewers.StructuredViewer.preservingSelection(StructuredViewer.java:1323)
	at org.eclipse.jface.viewers.StructuredViewer.refresh(StructuredViewer.java:1386)
	at
org.eclipse.team.bugs.internal.views.TreeManager.elementsAdded(TreeManager.java:33)
	at
org.eclipse.team.bugs.internal.views.BugViewListener.elementsAdded(BugViewListener.java:74)
	at org.eclipse.team.bugs.model.EventHandler.elementsAdded(EventHandler.java:49)
	at org.eclipse.team.bugs.extension.Providers.addProvider(Providers.java:57)
	at
org.eclipse.team.bugzilla.wizards.AddBugzillaWizard.performFinish(AddBugzillaWizard.java:37)
	at org.eclipse.jface.wizard.WizardDialog.finishPressed(WizardDialog.java:680)
	at org.eclipse.jface.wizard.WizardDialog.buttonPressed(WizardDialog.java:355)
	at org.eclipse.jface.dialogs.Dialog$3.widgetSelected(Dialog.java:660)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:90)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:66)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:928)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:3348)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2968)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:820)
	at org.eclipse.jface.window.Window.open(Window.java:796)
	at
org.eclipse.team.bugs.internal.wizards.AddProviderWizard.execute(AddProviderWizard.java:53)
	at
org.eclipse.team.bugs.internal.actions.AddProviderAction.run(AddProviderAction.java:30)
	at org.eclipse.jface.action.Action.runWithEvent(Action.java:499)
	at
org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:539)
	at
org.eclipse.jface.action.ActionContributionItem.access$2(ActionContributionItem.java:488)
	at
org.eclipse.jface.action.ActionContributionItem$5.handleEvent(ActionContributionItem.java:400)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:66)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:928)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:3348)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2968)
	at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
	at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
	at org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
	at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
	at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
	at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
	at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
	at org.eclipse.core.launcher.Main.run(Main.java:977)
	at org.eclipse.core.launcher.Main.main(Main.java:952)
Comment 1 Todd Flinders 2006-12-12 13:17:06 EST
Reassigned to more appropriate version and component.
Comment 2 Red Hat Bugzilla 2007-09-11 00:05:49 EDT
User klee@redhat.com's account has been closed
Comment 3 Andrew Overholt 2007-09-11 10:25:33 EDT
We are now shipping Mylyn which obsoletes the old bugzilla plugin.  Please open
a request at bugs.eclipse.org against Mylyn if this issue persists.  Thank you.

Note You need to log in before you can comment on or make changes to this bug.